TVTOHZ(9)

NAME
tvtohz - convert time interval to tick count

SYNOPSIS
#include <sys/time.h>
int
tvtohz(struct timeval *tv);

DESCRIPTION
The tvtohz() function accepts a single argument tv which specifies the time interval over which to calculate the number of system ticks that would elapse.

RETURN VALUES
Returns the integral number of system ticks expected to elapse in the given interval, including the current tick.

SEE ALSO
timeval(3), microtime(9), microuptime(9), timecounter(9), timeout(9)

HISTORY
The tvtohz function first appeared in FreeBSD 3.0 and was ported to NetBSD 4.0 as a part of timecounter(9) framework.

AUTHORS
This manual page was written by Kelly Yancey <kbyanc@posi.net>.